Listar carpetas
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/document_folders \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/document_folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/document_folders"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"name": "<string>",
"parent_id": 123,
"system_key": "<string>",
"section": "<string>",
"managed": true,
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"parent_name": "<string>"
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Document Folders
Listar carpetas
Lista carpetas de la biblioteca. Con parent_id=root o search, cada ítem trae parent_name. segment=trash lista las de la papelera.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
document_folders
Listar carpetas
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/document_folders \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/document_folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/document_folders"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"name": "<string>",
"parent_id": 123,
"system_key": "<string>",
"section": "<string>",
"managed": true,
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"parent_name": "<string>"
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Query Parameters
Response
Éxito